SCRIPT(1)

NAME
script - make typescript of a terminal session

SYNOPSIS
script [ -a ] [ filename ]

DESCRIPTION

script makes a typescript of everything printed on your terminal. The typescript is written to filename, or appended to filename if the -a option is given. It can be sent to the line printer later with lpr(1). If no file name is given, the typescript is saved in the file typescript.

The script ends when the forked shell exits.

OPTIONS

-a  Append the script to the specified file instead of writing over it.

SEE ALSO
lpr(1)

BUGS

script places everything in the log file. This is not what the naive user expects.